Subject: Re: Herb Garden

From: [email-masked] (Kate Maskar)
Date: 25 Mar 1995 13:44:23 GMT

A good source for herb plants (and some seeds) is Sandy Mush Herb
Nursery, 316 Surret Cove Rd.,Leicester, NC 28748; (704) 683-2014 -call
Thurs.,Fri.,Sat only. They have many varieties of herbs: medicinal,
culinary, ornamental. Also try a company called Richters. I've never
ordered from them but they may have what you're looking for. Richters,
Goodwood, Ontario, Canada LOC 1AO, (416) 640-6677. Good luck!